| Face Engine SDK 4.9.0 A face detection, recognition and tracking engine.

Public Member Functions | Public Attributes | List of all members
fsdk::IEyeEstimator Struct Referenceabstract

Eye estimator interface. More...

`#include <IEyeEstimator.h>`

Inheritance diagram for fsdk::IEyeEstimator:

## Public Member Functions
virtual Result< FSDKError > | FSDK_DEPRECATED ("estimate by landmarks5 is deprecated since v.3.6.0, use estimate(const Image& warp," "const EyeCropper::EyesRects& eyeRects,EyesEstimation& eyesEstimation) instead") estimate(const Image &warp
| Estimate the attributes. More...
virtual Result< FSDKError > | FSDK_DEPRECATED ("estimate by landmarks68 is deprecated since v.3.6.0, use estimate(const Image& warp," "const EyeCropper::EyesRects& eyeRects, EyesEstimation& eyesEstimation) instead") estimate(const Image &warp
| Estimate the attributes. More...
virtual Result< FSDKError > | estimate (const Image &warp, const EyeCropper::EyesRects &eyeRects, EyesEstimation &eyesEstimation) const noexcept=0
| Estimate the attributes. More...
virtual Result< FSDKError > | estimate (const Image warps[], const EyeCropper::EyesRects eyeRects[], const uint32_t batchSize, EyesEstimation eyesEstimations[]) const noexcept=0
| Estimate the attributes of multiple warped images in a single estimate function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Public Attributes
virtual Result< FSDKError > const Landmarks5 & | landmarks5
virtual Result< FSDKError > const Landmarks5 EyesEstimation &eyesEstimation const | noexcept = 0
virtual Result< FSDKError > const Landmarks68 & | landmarks68
virtual Result< FSDKError > const Landmarks68 EyesEstimation &eyesEstimation const | noexcept = 0

## Detailed Description

Eye estimator interface.

Note
  This estimator is designed to work with a person face image; you should pass a warped face detection image.

See also
  IWarper for details. Eye estimator detects:
  - eyes state;
  - landmarks describing iris.
  EyesEstimation for output details

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::IEyeEstimator::estimate | ( | const Image & | warp,
|  | const EyeCropper::EyesRects & | eyeRects,
|  | EyesEstimation & | eyesEstimation
| ) |  | const
| pure virtual noexcept

Estimate the attributes.

Parameters

  [in] | warp | source image. Format must be R8G8B8. Must be warped!
  [in] | eyeRects | EyeCropper::EyesRects structure with valid rectangle coordinates of each eye.
  [out] | eyesEstimation | Estimation of both eyes. Iris and Eyelid output landmarks are in warpedImage coordinates. If you want them in source of warpedImage image coordinates, use IWarper::unwarp

See also
  IWarper::unwarp.
  EyesEstimation for details

Returns
  Error code;

See also
  FSDKError for details.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::IEyeEstimator::estimate | ( | const Image | warps[],
|  | const EyeCropper::EyesRects | eyeRects[],
|  | const uint32_t | batchSize,
|  | EyesEstimation | eyesEstimations[]
| ) |  | const
| pure virtual noexcept

Estimate the attributes of multiple warped images in a single estimate function call.

Parameters

  [in] | warps[] | array of warped source images. Format must be R8G8B8. Images must be warped!
  [in] | eyeRects[] | array of EyesRects structure of corresponding warped image with valid rectangle coordinates of each eye.
  [in] | batchSize | length of warps array
  [out] | eyesEstimations[] | EyesEstimation array of corresponding warped images. Iris and Eyelid output landmarks are in warpedImage coordinates. If you want them in source of warpedImage image coordinates, use IWarper::unwarp

See also
  IWarper::unwarp.
  EyesEstimation for details

Returns
  Error code;

See also
  FSDKError for details.

## ◆ FSDK_DEPRECATED() [1/2]

virtual Result<FSDKError> fsdk::IEyeEstimator::FSDK_DEPRECATED | ( | "estimate by landmarks5 is deprecated since v.3.6. | 0,
|  | use estimate(const Image &warp," "const EyeCropper::EyesRects &eyeRects, EyesEstimation &eyesEstimation) instead" |
| ) |  | const &
| virtual

Estimate the attributes.

Parameters

  [in] | warp | source image. Format must be R8G8B8. Must be warped!
  [in] | landmarks5 | landmark of size 5 used to warp image, must be in warped image coordinates.

See also
  IWarper

Parameters

  [out] | eyesEstimation | Estimation of both eyes. Iris and Eyelid output landmarks are in warpedImage coordinates. If you want them in source of warpedImage image coordinates, use IWarper::unwarp

See also
  IWarper::unwarp.
  EyesEstimation for details

Returns
  Error code;

See also
  FSDKError for details.

## ◆ FSDK_DEPRECATED() [2/2]

virtual Result<FSDKError> fsdk::IEyeEstimator::FSDK_DEPRECATED | ( | "estimate by landmarks68 is deprecated since v.3.6. | 0,
|  | use estimate(const Image &warp," "const EyeCropper::EyesRects &eyeRects, EyesEstimation &eyesEstimation) instead" |
| ) |  | const &
| virtual

Estimate the attributes.

Parameters

  [in] | warp | source image. Format must be R8G8B8. Must be warped!
  [in] | landmarks68 | landmark of size 68 used to warp image, must be in warped image coordinates.

See also
  IWarper

Parameters

  [out] | eyesEstimation | Estimation of both eyes. Iris and Eyelid output landmarks are in warpedImage coordinates. If you want them in source of warpedImage image coordinates, use IWarper::unwarp

See also
  IWarper::unwarp.
  EyesEstimation for details

Returns
  Error code;

See also
  FSDKError for details.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IEyeEstimator.h